# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name kde_servicemenu_rootactions
%define summary Do actions as Root user
%define version 2.4
%define release %mkrel 1

Name: 		%{name} 
Summary:	%{summary} 
Version: 	%{version} 
Release: 	%{release} 
Url:		http://www.kde-apps.org/content/show.php/Root+Actions+Servicemenu?content=48411
Group:		Graphical desktop/KDE
License:	GPL-2

Source0: 	48411-rootactions_servicemenu_%{version}.tar.bz2

BuildArch:  	noarch

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 

Requires: kdialog

%description  
A service menu for KDE that let you do some actions as root user.

%prep
rm -rf ${RPM_BUILD_ROOT} 
%setup -q -n Root_Actions_%{version}


%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp rootactions-servicemenu.pl ${RPM_BUILD_ROOT}%{_bindir}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/kde4/services/ServiceMenus/
cp dolphin-KDE4/*.desktop ${RPM_BUILD_ROOT}%{_datadir}/kde4/services/ServiceMenus/

mkdir -p ${RPM_BUILD_ROOT}/opt/kde3/share/apps/dolphin/servicemenus
cp dolphin-KDE3/*.desktop ${RPM_BUILD_ROOT}/opt/kde3/share/apps/dolphin/servicemenus

mkdir -p ${RPM_BUILD_ROOT}/opt/kde3/share/apps/konqueror/servicemenus
cp konqueror-KDE3/*.desktop ${RPM_BUILD_ROOT}/opt/kde3/share/apps/konqueror/servicemenus

%clean  
rm -rf ${RPM_BUILD_ROOT} 
 
%files   
%defattr(0755,root,root)
%doc changelog GPL-2
%attr(755,root,root) %{_bindir}/rootactions-servicemenu.pl
%{_datadir}/kde4/services/ServiceMenus/*.desktop
/opt/kde3/share/apps/dolphin/servicemenus
/opt/kde3/share/apps/konqueror/servicemenus

%changelog  

* Fri Dec 05 2008 Marco Meijer <marco@mandrivaclub.nl> 2.4
- changed the place of kdesu to make it work on mandriva
- Mandriva 2009.0 build
- build for mandrivaclub.nl 
